#!/bin/csh 
# File: vipat.csh

# Edit argument files $2 ..., that contain pattern $1

if ( $#argv <= 1 ) then
   echo "Usage: $0 pattern file ..."
else
   set pattern = $1                     # Save original $1
   shift
   while ( $#argv > 0 )                 # New $1 is first filename
      grep "$pattern" $1 > /dev/null
      if ( $status == 0 ) then          # If grep found pattern in this file
	 vi $1                          # then vi the file
      endif
      shift
   end
endif
